/**
 * Created by zhang on 2018/9/11.
 */
$(document).ready(function () {
    const locked = lockUtil.getLocked();
    lockUtil.lockTools($(document.body), locked);
    try {
        let tem = sortJson(JSON.parse($("#originalRates").val()));
        $("#rateList").val(JSON.stringify(tem,null,4));
    }catch (err){
        console.log(err);
    }

    $("#format").click( function() {
        try {
            let jsonText =  $("#rateList").val();
            $("#rateList").val(JSON.stringify(JSON.parse(jsonText),null,4));
        }catch (err){
            console.log(err);
            alert("输入的JSON格式有误，请重新输入！");
        }
    });
    $("#save").click(async function() {
        try {
            let libID = $("#libID").val();
            let jsonText =  $("#rateList").val();
            if(jsonText.indexOf("'")!=-1){
                alert("输入的格式不能包含 ' 位于："+jsonText.substr(jsonText.indexOf("'")-15,18));
                return;
            }
            let newFeeRate = await ajaxPost("/feeRate/saveLib",{query:{ID:libID},data:{rates:JSON.parse(jsonText)}});
        }catch (err){
            console.log(err);
            alert("保存失败，请查看输入数据");
        }
    });
});